<div class="search-container">
    <div class="col-md-4">
        <div class="input-group mb-3 float-right">
            <input type="text" class="form-control" placeholder="{{ '::Search' | abpLocalization }}"
                [(ngModel)]="searchTerm" (input)="onSearchTermChange()">

            <button class="btn btn-outline-success" type="button" (click)="searchBooks()">
                {{ '::Search' | abpLocalization }}
            </button>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-2 custom-scrollbar">
        <div class="list-group">
            <button type="button" class="list-group-item list-group-item-action" (click)="showAllBooks()">Tüm
                Kitaplar</button>
            <ng-container *ngFor="let category of categoryList">
                <button type="button" class="list-group-item list-group-item-action"
                    (click)="getBooksByCategory(category.name); $event.preventDefault()">
                    {{ category.name }}
                </button>
            </ng-container>
        </div>
    </div>

    <div class="col-md-10">
        <div class="card-body">

            <ngx-datatable [rows]="filteredBookList.items" [count]="filteredBookList.totalCount" [list]="list" default>
                <ngx-datatable-column name="Actions">
                    <ng-template let-row="row" ngx-datatable-cell-template>
                        <button class="btn btn-success" (click)="createRental(row)">
                            <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                        </button>
                    </ng-template>
                </ngx-datatable-column>
                <ng-template let-row="row" ngx-datatable-cell-template>
                </ng-template>

                <ngx-datatable-column name="{{ '::Name' | abpLocalization }}" prop="name"></ngx-datatable-column>
                <ngx-datatable-column name="{{ '::Stock' | abpLocalization }}" prop="stock"></ngx-datatable-column>
                <ngx-datatable-column name="{{ '::NumberPage' | abpLocalization }}"
                    prop="numberPage"></ngx-datatable-column>
                <ngx-datatable-column name="{{ '::AuthorName' | abpLocalization }}"
                    prop="authorName"></ngx-datatable-column>
                <ngx-datatable-column name="{{ '::ShelFloor' | abpLocalization }}"
                    prop="shelFloor"></ngx-datatable-column>
                <ngx-datatable-column name="{{ '::ShelfNumber' | abpLocalization }}"
                    prop="shelfNumber"></ngx-datatable-column>
                <ngx-datatable-column name="{{ '::CategoryName' | abpLocalization }}"
                    prop="categoryName"></ngx-datatable-column>
            </ngx-datatable>
        </div>
    </div>
</div>

<abp-modal [(visible)]="isModalOpen">
    <ng-template #abpHeader>
        <h3>{{ (selectedRental.id ? '::Create' : '::New Rental') | abpLocalization }}</h3>
    </ng-template>

    <ng-template #abpBody>
        <form [formGroup]="formGroup" (ngSubmit)="save()">
            <div class="mt-2">
                <label for="rental-bookName">BookName</label><span> * </span>
                <input type="text" id="rental-bookName" class="form-control" formControlName="bookName" autofocus />
            </div>
            <div class="mt-2">
                <label for="rental-rentalDate">Rental Date</label><span> * </span>
                <input type="date" id="rental-rentalDate" class="form-control" formControlName="rentalDate" autofocus />
            </div>
            <div class="mt-2">
                <label for="rental-returnDate">Return Date</label><span> * </span>
                <input type="date" id="rental-returnDate" class="form-control" formControlName="returnDate" autofocus />
            </div>

            <div class="mt-2" *ngIf="!selectedRental.id">
                <label for="status">Durum</label>
                <div class="form-group">
                    <input type="text" id="status" class="form-control" value="Teslim Edilmedi" disabled />
                </div>
            </div>

            <div class="mt-2">
                <label for="rental-userName">UserName</label><span> * </span>
                <input type="text" id="rental-userName" class="form-control" formControlName="userName"
                    [readonly]="true" />

            </div>
        </form>
    </ng-template>

    <ng-template #abpFooter>
        <button type="button" class="btn btn-secondary" abpClose>
            {{ '::Close' | abpLocalization }}
        </button>

        <button class="btn btn-primary" (click)="save()" [disabled]="formGroup.invalid">
            <i class="fa fa-check mr-2"></i>
            {{ '::Save' | abpLocalization }}
        </button>
    </ng-template>
</abp-modal>